create_current_pulse#
- NexximComponents.create_current_pulse(name=None, value_lists=None, location=None, angle=0, use_instance_id_netlist=False)[source]#
Create a current pulse.
- Parameters:
- name
str
,optional
Name of the current pulse. The default is
None
.- value_lists
list
,optional
List of values for the current pulse. The default is
[]
.- location
list
of
float
,optional
Position on the X axis and Y axis.
- angle
float
,optional
Angle rotation in degrees. The default is
0
.- use_instance_id_netlistbool,
optional
Whether to use the instance ID in the net list. The default is
False
.
- name
- Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreateComponent